#ifndef HEADER_INCLUDED__sqltable_H
#define HEADER_INCLUDED__sqltable_H

//---------------------------------------------------------
#include <iostream>
#include <string>
#include <vector>
using std::vector;
using std::string;
using std::cout;
using std::endl;

typedef vector<string> vector_str;
typedef vector<int> vector_int;
typedef vector< vector<string> > array;


//---------------------------------------------------------

class Csqltable
{
public:
	Csqltable::Csqltable(string TableName);

	Csqltable::Csqltable(int ncols, int nrows);
	
	Csqltable::Csqltable(string TableName,
						 int ncols,
						 int nrows);

	Csqltable::~Csqltable(void);

	// Table Attributes
	string		TableName;
	int			ncols;
	int			nrows;
	vector_str	fieldname;
	vector_str	fieldtype;
	vector_int	fieldtypeInt;
	vector_str	constraints;
	array		matrix;

protected:
	void		resize_matrix(int ncols, int nrows);

};

#endif /* #ifndef HEADER_INCLUDED__sqltable */